using System;

class Lakaka
{
    static void Main(string[] args)
    {
        string Diburuni = Console.ReadLine();
        string Misi = Diburuni.Substring(0, 1);
        string Lakaka = Diburuni.Substring(1, 1);
        string[] y = Console.ReadLine().Split();
        int a = int.Parse(y[0]);
        int b = int.Parse(y[1]);
        if (a == b + 1)
        {
            for (int i = 0; i < a + b; i++)
            {
                if (i % 2 == 0)
                {
                    Console.Write(Misi);
                }
                else
                {
                    Console.Write(Lakaka);
                }
            }
        }
        else if (b == a + 1)
        {
            for (int i = 0; i < a + b; i++)
            {
                if (i % 2 == 0)
                {
                    Console.Write(Lakaka);
                }
                else
                {
                    Console.Write(Misi);
                }
            }
        }
        else if (a == b)
        {
            for (int i = 0; i < a + b; i++)
            {
                if (i % 2 == 0)
                {
                    Console.Write(Lakaka);
                }
                else
                {
                    Console.Write(Misi);
                }
            }
        }
        else
        {
            Console.WriteLine("nemoguce");
        }
    }
}